#ifndef _H_PROFILE
#define _H_PROFILE

#include <Arduino.h>

class LiquidCrystal;
class DFR_Key;

#define PI_TS_MIN 0
#define PI_TS_MAX 1
#define PI_TL 2
#define PI_TP 3 
#define PI_TIME_MAX 4

// profile temp per second rates
#define PI_RAMP_UP_MIN 5
#define PI_RAMP_UP_MAX 6
#define PI_RAMP_DOWN_MIN 7
#define PI_RAMP_DOWN_MAX 8

// profile temp durations
#define PI_TS_DURATION_MIN 9
#define PI_TS_DURATION_MAX 10
#define PI_TL_DURATION_MIN 11
#define PI_TL_DURATION_MAX 12
#define PI_TP_DURATION_MIN 13
#define PI_TP_DURATION_MAX 14
#define PI_END 15


class Profile {
public:
  int data[15];

  unsigned int config_index;
  int config_state;
  int key;

  Profile();
  boolean handle_config_state(LiquidCrystal * lcd, DFR_Key * keypad);
  void print_config_state(LiquidCrystal * lcd);
  void print_config_state_0(LiquidCrystal * lcd);
};

#endif
